Subject: bug#28403: 25.2; find-tag works, but xref-find-definitions

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Sep 2017 18:32:24 +0300

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Wed, 13 Sep 2017 02:40:21 +0300
> 
> > It would be good to have other back-ends support that, but I don't
> > think it's a must.  First, no one said all the back-ends must
> > distinguish between the two modes; it could even be that only one
> > makes sense for some language.
> 
> How will we define that it "makes sense"?

I thought it would be self-evident, but maybe I was wrong.

> > So I think we could add this with only the etags back-end support for
> > now, and extend it later to other back-ends if needed.
> 
> Should it be a defcustom in etags.el, then? That's not far from what I 
> suggested in the first place.

That'd be okay, if the UI will be more friendly than letting the user
concoct a list of function symbols.

Thanks.